<div class="status-bar">
  <ul class="progress-bar-local">
    <li *ngFor="let status of statuses; let i = index" class="step"
        [class.is-active-step]="i < statusElementIndex && status.type === 'step' "
        [ngClass]="statusElementIndex === i ? classname: null">
      {{status.status}}
    </li>
  </ul>
</div>
